#pragma once
#include <map>
struct Fish_GiantSharkBomberData
{
	//ID
	int mID;
	//名称
	std::string mName;
	//消耗能量数
	int mConsumeEnergy;
	//金币轰炸消耗金币
	int mGoldBombardment;
	//权重
	std::vector<int> mGoldWeight;
	//金币浮动
	std::vector<int> mGoldFloat;
	//积分权重
	std::vector<int> mPointWeight;
	//普通积分浮动
	std::vector<int> mPointFloat;
	//积分权重
	std::vector<int> mGiftPointWeight;
	//礼包积分浮动
	std::vector<int> mGiftPointFloat;
};

class Fish_GiantSharkBomber
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkBomber> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkBomberData* GetData(int ID);
	const std::map<int, Fish_GiantSharkBomberData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GiantSharkBomber* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GiantSharkBomberData> mMapData;
};
